Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Class ValueMarker

    java.lang.Object
      org.jfree.chart.plot.Marker
          org.jfree.chart.plot.ValueMarker

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class ValueMarker
extends Marker

A marker that represents a single fixed value.

See Also:
  Serialized Form

Constructor Summary
`ValueMarker(double value)` Creates a new marker.
`ValueMarker(double value, java.awt.Paint paint, java.awt.Stroke stroke, java.awt.Paint outlinePaint, java.awt.Stroke outlineStroke, float alpha)` Creates a new value marker.

Method Summary
`double` | `getValue()` Returns the value.

Methods inherited from class org.jfree.chart.plot.Marker
`equals, getAlpha, getLabel, getLabelAnchor, getLabelFont, getLabelOffset, getLabelPaint, getLabelTextAnchor, getOutlinePaint, getOutlineStroke, getPaint, getStroke, setAlpha, setLabel, setLabelAnchor, setLabelFont, setLabelOffset, setLabelPaint, setLabelTextAnchor, setOutlinePaint, setOutlineStroke, setPaint, setStroke`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueMarker

    public ValueMarker(double value)

  Creates a new marker.

Parameters:
  `value` - the value.

### ValueMarker

    public ValueMarker(double value,
                       java.awt.Paint paint,
                       java.awt.Stroke stroke,
                       java.awt.Paint outlinePaint,
                       java.awt.Stroke outlineStroke,
                       float alpha)

  Creates a new value marker.

Parameters:
  `value` - the value.
  `paint` - the paint (`null` not permitted).
  `stroke` - the stroke (`null` not permitted).
  `outlinePaint` - the outline paint (`null` permitted).
  `outlineStroke` - the outline stroke (`null` permitted).
  `alpha` - the alpha transparency.

Method Detail

### getValue

    public double getValue()

  Returns the value.

  Returns:
    the value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD